/* 
 *    Example program for the Allegro library, by Shawn Hargreaves.
 *
 *    This is a very simple program showing how to get into graphics
 *    mode and draw text onto the screen.
 */


#include <stdlib.h>
#include <stdio.h>

#include "allegro.h"
   BITMAP *duke;
   BITMAP *guy;
   BITMAP *page;
   PALETTE pal1;

void main()
{
   int s=16;          // variables
   int maxl=640*2;
   int maxh=400*2;
   int screenl=640;
   int screenh=400;
   int fixh=260;
   int fixl=640;

   int i=0;
   int j=0;
   char img1[12]="guy.bmp";
   char img2[12]="duke.bmp";
   guy=load_bitmap(img1,pal1);
   allegro_init();
   install_keyboard(); 
   set_gfx_mode(GFX_AUTODETECT, screenl, screenh, 0, 0); // 2 MEGAS
   page=create_bitmap(maxl,maxh); // image de 5120*3200 (8*8)
   clear(page);
   duke=load_bitmap(img2,pal1);
   set_pallete(pal1);
   blit(duke,page,0,0,0,0,1280,800);
   //textout(page, font, "PARTIE FIXE",450,300,20);
   blit(page,screen,0,maxh-screenh,0,0,screenl,screenh);
   blit(guy,page,0,0,500,200,50,50);
   textout(page, font, "TEXTE: 640*400 *256 couleurs",105,10,20);
   textout(page, font, "Fleches et + -",300,350,20);
   readkey;
   do
   {
   if (key[KEY_RIGHT]) i+=s;
   if (key[KEY_LEFT])  i-=s;
   if (key[KEY_UP])    j-=s;
   if (key[KEY_DOWN])  j+=s;
   if (key[KEY_MINUS_PAD])    s--;
   if (key[KEY_PLUS_PAD])     s++;
   if(i<0) i=0;
   if(j<0) j=0;
   if(i>maxl-fixl) i=maxl-fixl;
   if(j>maxh-fixh) j=maxh-fixh;
   if(s<0) s=0;
   vsync();
   blit(page,screen,i,j,0,0,fixl,fixh);
   //scroll_screen(5000,3000);pos ds pag<-|   |-> pos ds ecran
   }
   while (!(key[KEY_ESC]));
   destroy_bitmap(page);
   destroy_bitmap(guy);
   exit(0);
}
